* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}


header {
    height: 100px;
    background-color: #800020;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px;
    width: 100%;
}

header .header-img {
    height: 100%;
    display: flex;
    align-items: center;
}

header .header-img img {
    height: 100%;
}

nav ul {
    list-style: none;
    display: flex;
    vertical-align: middle;
}

nav ul li a {
    padding: 10px;
    text-decoration: none;
    background-color: #ffffff;
    margin: 5px;
    color: #800020;
    font-weight: bold;
    transition: 0.23s ease-in-out;
}

nav ul li a:hover {
    color: #ffffff;
    background-color: #800020;
}

.burger-container {
    width: fit-content;
}

.burger {
    display: none;
    position: relative;
    width: 25px;
    height: 25px;
    background-color: transparent;
    border: none;
    cursor: pointer;
}

.burger::before,
.burger::after,
.burger {
    background-color: #ffffff;
    height: 3px;
    border-radius: 3px;
    cursor: pointer;
    transition: 0.3s ease;
}

.burger::before,
.burger::after {
    content: "";
    position: absolute;
    left: 0;
    width: 100%;
}

.burger::before {
    top: -7px;
}

.burger::after {
    top: 7px;
}

.burger.active {
    background-color: transparent;
}

.burger.active::before {
    transform: translateY(7px) rotate(45deg);
}

.burger.active::after {
    transform: translateY(-7px) rotate(-45deg);
}


@media (max-width: 768px) { /* Small Screens */

body {
    background-color: lightblue;
}

.main-nav {
    position: absolute;
    top: 100px;
    left: 0;
    width: 100%;
    background-color: rgb(177, 175, 175);
    transform: translateX(-100vw);
    transition: .3s ease-in;
}

.main-nav.active {
    transform: translateX(0);
}

.main-nav ul {
    flex-direction: column;
    padding: 15px 0;
}

.main-nav ul li {
    padding: 5px 10px;
}

.main-nav ul li a {
    display: block;
    text-align: center;
}

.burger {
    display: block;
}
    
}

@media (min-width: 769px) {
    body {
        background-color: lightgreen;
    }
}

/* Media Queries Conditions:
1- Screen Width
2- Screen height
3- device type
4- orientation
5- resolution

*/



/* 
Common Breadpoints used in real websites
Large Desktop: 1200px+
Laptop: 992px+
Tablet: 768px
Mobile landscape: 600px
Mobile portrait: 480px
Small phones: 360px


*/